## GstDeviceMonitor GstDeviceMonitor |

## Functions

GstDeviceMonitor * | gst_device_monitor_new ()
GstBus * | gst_device_monitor_get_bus ()
guint | gst_device_monitor_add_filter ()
gboolean | gst_device_monitor_remove_filter ()
gboolean | gst_device_monitor_start ()
void | gst_device_monitor_stop ()
GList * | gst_device_monitor_get_devices ()
gchar ** | gst_device_monitor_get_providers ()
gboolean | gst_device_monitor_get_show_all_devices ()
void | gst_device_monitor_set_show_all_devices ()
gchar ** | gst_device_provider_get_hidden_providers ()
void | gst_device_provider_hide_provider ()
void | gst_device_provider_unhide_provider ()

## Types and Values

struct | GstDeviceMonitor
struct | GstDeviceMonitorClass

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_device_monitor_new ()

    GstDeviceMonitor *
    gst_device_monitor_new (void);

### gst_device_monitor_get_bus ()

    GstBus *
    gst_device_monitor_get_bus (GstDeviceMonitor *monitor);

### gst_device_monitor_add_filter ()

    guint
    gst_device_monitor_add_filter (GstDeviceMonitor *monitor,
                                   const gchar *classes,
                                   GstCaps *caps);

### gst_device_monitor_remove_filter ()

    gboolean
    gst_device_monitor_remove_filter (GstDeviceMonitor *monitor,
                                      guint filter_id);

### gst_device_monitor_start ()

    gboolean
    gst_device_monitor_start (GstDeviceMonitor *monitor);

### gst_device_monitor_stop ()

    void
    gst_device_monitor_stop (GstDeviceMonitor *monitor);

### gst_device_monitor_get_devices ()

    GList *
    gst_device_monitor_get_devices (GstDeviceMonitor *monitor);

### gst_device_monitor_get_providers ()

    gchar **
    gst_device_monitor_get_providers (GstDeviceMonitor *monitor);

### gst_device_monitor_get_show_all_devices ()

    gboolean
    gst_device_monitor_get_show_all_devices
                                   (GstDeviceMonitor *monitor);

### gst_device_monitor_set_show_all_devices ()

    void
    gst_device_monitor_set_show_all_devices
                                   (GstDeviceMonitor *monitor,
                                    gboolean show_all);

### gst_device_provider_get_hidden_providers ()

    gchar **
    gst_device_provider_get_hidden_providers
                                   (GstDeviceProvider *provider);

### gst_device_provider_hide_provider ()

    void
    gst_device_provider_hide_provider (GstDeviceProvider *provider,
                                       const gchar *name);

### gst_device_provider_unhide_provider ()

    void
    gst_device_provider_unhide_provider (GstDeviceProvider *provider,
                                         const gchar *name);

## Types and Values

### struct GstDeviceMonitor

    struct GstDeviceMonitor {
      GstObject                parent;
    };

### struct GstDeviceMonitorClass

    struct GstDeviceMonitorClass {
      GstObjectClass           parent_class;
    };